Skip to main content
GET
The calling user's roles, with when each was granted and by whom.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

role_id
string
code
string
name
string
description
string
is_system
string
granted_at
string
granted_by_user_id
string
granted_by
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

code
string<character varying>
Maximum string length: 60
description
string<text>
granted_at
string<timestamp with time zone>
granted_by
string<character varying>
Maximum string length: 200
granted_by_user_id
string<uuid>

Note: This is a Foreign Key to my_profile.user_id.

is_system
boolean<boolean>
name
string<character varying>
Maximum string length: 150
role_id
string<uuid>

Note: This is a Foreign Key to role_settings.id.